If we don't update our 3DS update for a while, will new games we buy force us to update it?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Nerozone, Jan 13, 2013.

  1. Nerozone
    OP

    Newcomer Nerozone Member

    Joined:
    Sep 13, 2009
    Messages:
    45
    Country:
    United States
    The question is on the title! It's probably been answered before in lots of topics, but I didn't find anything ^^"

    I'm asking this because it happened on Wii. And since I intend to buy 1 or 2 3DS games this year (Pokémon X or Y and Harvest Moon New Beginning, once it comes to Europe), I'm thinking of buying Supercard, as it would be the safest choice so that when those games force my 3DS to update its firmware, I can keep using my flashcard.

    EDIT: I made a mistake on the title. I meant "update our 3DS firmware", not "update our 3DS update".
     
  2. Kiaku

    Member Kiaku GBAtemp Regular

    Joined:
    Mar 22, 2010
    Messages:
    273
    Country:
    United States
    Yes, I believe so. Super Mario 3D Land tempted users with outdated firmware to update upon launching the game. I'm sure other games had the same thing.
     
  3. nukeboy95

    Member nukeboy95 Leave luck to heaven.

    Joined:
    Aug 24, 2010
    Messages:
    2,273
    Location:
    not sure
    Country:
    United States
    by the time that happen we shud have anti update blockers
     
  4. Sychophantom

    Member Sychophantom I'm a plant.

    Joined:
    Mar 7, 2008
    Messages:
    1,190
    Location:
    Born on the Bayou
    Country:
    United States
    Since there is no public hack, there's no reason not to update.

    However, to answer your question, yes...certain games will prompt you to update your firmware before playing. I believe Paper Mario Sticker Star is one of those games.
     
  5. drobb

    Member drobb Hunter

    Joined:
    Dec 29, 2007
    Messages:
    251
    Country:
    United States
    that style savvy game made my aunts update when she got it.
     
  6. Senbei Norimaki

    Newcomer Senbei Norimaki Advanced Member

    Joined:
    Dec 10, 2012
    Messages:
    87
    Country:
    It all depends on which flashcart you have if you should update or not.
     
  7. SickPuppy

    Member SickPuppy New Member

    Joined:
    Jul 29, 2009
    Messages:
    1,661
    Country:
    United States
    I just bought NSMB2 a few weeks ago, and was prompted for an update. I did the update but it didn't update my firmware. My 3DS firmware is still 4.1.0-6U before and after the update.
     
  8. 431unknown

    Member 431unknown Greatness Awaits

    Joined:
    Sep 29, 2008
    Messages:
    2,055
    Country:
    United States
    That sounds fucked up. I wonder what was updated. I never got that prompt on SM3DL or NSMB2.

    I personally just keep mine upto date if there's a DS game I want to play I just grab either my DSi or my sons DSL even tho I do have 3 SCDS2s.
     
  9. Nerozone
    OP

    Newcomer Nerozone Member

    Joined:
    Sep 13, 2009
    Messages:
    45
    Country:
    United States
    I suppose it's bound to happen if I don't update my firmware until October, then. Thanks a lot for your answers :lol:
     
  10. Twilight Loz

    Member Twilight Loz GBAtemp Fan

    Joined:
    Mar 28, 2009
    Messages:
    382
    Location:
    London
    Country:
    United States
    Im currently on 4.4.0-1 EU (something like that but its a 4.4.0 FW), should I still update my FW? Or should I stay on this?
     
  11. kirbymaster101

    Member kirbymaster101 GBAtemp Maniac

    Joined:
    Dec 21, 2008
    Messages:
    1,048
    Country:
    Canada
    Questions like these depend on what flashcart you are using. If its one of those older C revision r4ids.cn cards, just wait it out till they release an update. If its a revision A,9 and the non metroid C cards you should be fine updating AFTER you update your r4ids.cn card. The Supercard Dstwo should be fine to as long as you update that 1st. Any other card is a hit and miss.
     
  12. Twilight Loz

    Member Twilight Loz GBAtemp Fan

    Joined:
    Mar 28, 2009
    Messages:
    382
    Location:
    London
    Country:
    United States
    i have an acekard 2i... it currently works with my 3DS... but what I mean should I update since the hack that is in development might not work on console since I updated to the lastest FW
     
  13. Chaossaturn

    Member Chaossaturn ローレンス

    Joined:
    Jan 22, 2007
    Messages:
    214
    Country:
    United Kingdom
    I would update as we know that the hackers have there 3ds's on the lastest firmware which is 4.5.10 (as of writeing this) and when there release a hack that's what the program's will be written for, yes the exploit works on lower firmware's but we don't know if the programs there write will work for lower firmware versions and if there do not and there release the hack you wont be able to update to 4.5.10 as nintendo will update it quickly. So I would update to be on the safe side as it not worth the risk but if you do your flashcart wont work anymore so your have to get a new one or buy a DS or something.
     

Share This Page